export declare enum QRProvider {
    VIETQR = "VIETQR",
    VNPAY = "VNPAY"
}
export declare enum QRProviderGUID {
    VNPAY = "A000000775",
    VIETQR = "A000000727"
}
export declare enum FieldID {
    VERSION = "00",
    INIT_METHOD = "01",
    VNPAYQR = "26",
    VIETQR = "38",
    CATEGORY = "52",
    CURRENCY = "53",
    AMOUNT = "54",
    TIP_AND_FEE_TYPE = "55",
    TIP_AND_FEE_AMOUNT = "56",
    TIP_AND_FEE_PERCENT = "57",
    NATION = "58",
    MERCHANT_NAME = "59",
    CITY = "60",
    ZIP_CODE = "61",
    ADDITIONAL_DATA = "62",
    CRC = "63"
}
export declare enum ProviderFieldID {
    GUID = "00",
    DATA = "01",
    SERVICE = "02"
}
export declare enum VietQRSevice {
    BY_ACCOUNT_NUMBER = "QRIBFTTA",
    BY_CARD_NUMBER = "QRIBFTTC"
}
export declare enum VietQRConsumerFieldID {
    BANK_BIN = "00",
    BANK_NUMBER = "01"
}
export declare enum AdditionalDataID {
    BILL_NUMBER = "01",
    MOBILE_NUMBER = "02",
    STORE_LABEL = "03",
    LOYALTY_NUMBER = "04",
    REFERENCE_LABEL = "05",
    CUSTOMER_LABEL = "06",
    TERMINAL_LABEL = "07",
    PURPOSE_OF_TRANSACTION = "08",
    ADDITIONAL_CONSUMER_DATA_REQUEST = "09"
}
export declare class Prodiver {
    fieldId?: string;
    name?: QRProvider;
    guid?: string;
    service?: string;
}
export declare class AdditionalData {
    billNumber?: string;
    mobileNumber?: string;
    store?: string;
    loyaltyNumber?: string;
    reference?: string;
    customerLabel?: string;
    terminal?: string;
    purpose?: string;
    dataRequest?: string;
}
export declare class Consumer {
    bankBin?: string;
    bankNumber?: string;
}
export declare class Merchant {
    id?: string;
    name?: string;
}
