import { Consumer, Prodiver, AdditionalData, Merchant, VietQRSevice } from './constants';
export declare class QRPay {
    isValid: boolean;
    version: string;
    initMethod: string;
    provider: Prodiver;
    merchant: Merchant;
    consumer: Consumer;
    category?: string;
    currency?: string;
    amount?: string;
    tipAndFeeType?: string;
    tipAndFeeAmount?: string;
    tipAndFeePercent?: string;
    nation?: string;
    city?: string;
    zipCode?: string;
    additionalData: AdditionalData;
    crc?: string;
    constructor(content?: string);
    parse(content: string): void;
    build(): string;
    static initVietQR(options: {
        bankBin: string;
        bankNumber: string;
        amount?: string;
        purpose?: string;
        service?: VietQRSevice;
    }): QRPay;
    static initVNPayQR(options: {
        merchantId: string;
        merchantName: string;
        store: string;
        terminal: string;
        amount?: string;
        purpose?: string;
        billNumber?: string;
        mobileNumber?: string;
        loyaltyNumber?: string;
        reference?: string;
        customerLabel?: string;
    }): QRPay;
    private parseRootContent;
    private parseProviderInfo;
    private parseVietQRConsumer;
    private parseAdditionalData;
    private static verifyCRC;
    static genCRCCode(content: string): string;
    private static sliceContent;
    private invalid;
    private static genFieldData;
}
